- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/create#try-it)

Creates a mute config.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.muteconfigs.create`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`POST https://securitycenter.googleapis.com/v1/{parent=folders/*}/muteConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the new mute configs's parent. Its format is `organizations/[organizationId]`, `folders/[folder_id]`, or `projects/[projectId]`. |

### Query parameters

| Parameters ||
|---|---|
| `muteConfigId` | `string` Required. Unique identifier provided by the client within the parent scope. It must consist of only lowercase letters, numbers, and hyphens, must start with a letter, must end with either a letter or a number, and must be 63 characters or less. |

### Request body

The request body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.locations.muteConfigs#MuteConfig`.

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.locations.muteConfigs#MuteConfig`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).